Payment batches & settlement
Get Schedule Settlements By Tax Reference
Name and signature indicate it gets schedule settlements by tax reference
Required scope: payments:read. It also needs banking:read, compensation:read.
curl --request GET \
--url 'https://api.toku.com/tga/get-schedule-settlements-by-tax-reference?taxReferenceID=%3CtaxReferenceID%3E' \
--header 'Authorization: Bearer <token>'{
"transactions": [
{
"transactionID": "string",
"providerName": "SAFE",
"status": "QUEUED",
"providerTransactionID": "string",
"transactionHash": "string",
"explorerUrl": "string",
"destinationAddress": "string",
"submittedAmount": "string",
"sourceCustodyWalletID": "string",
"isPartial": true,
"lastStatusChangeAt": "string",
"createdAt": "string",
"error": {
"code": "string",
"message": "string",
"httpStatus": 0
}
}
],
"count": 0
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Query parameters
taxReferenceIDstring<uuid>requiredResponse
200Successful response
transactionsobject[]requiredShow child attributes
transactionIDstringrequiredproviderNamestringrequiredAvailable options: SAFE, SAFE_PROPOSER, ANCHORAGE, FIREBLOCKS, SQUADS, COINBASE, FILECOIN_SELF_CUSTODY, FORDEFI, BITGO
statusstringrequiredAvailable options: QUEUED, PENDING, PENDING_APPROVAL, BROADCASTING, CONFIRMING, COMPLETED, FAILED, CANCELLED, REJECTED
providerTransactionIDstringtransactionHashstringexplorerUrlstringdestinationAddressstringrequiredsubmittedAmountstringAllowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|-?Infinity|NaN)$
sourceCustodyWalletIDstringisPartialbooleanlastStatusChangeAtstringrequiredAllowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
createdAtstringrequiredAllowed: matches ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
errorobjectShow child attributes
codestringmessagestringhttpStatusnumbercountintegerrequired